changeset 8753:340111f40f2d

(issue1824) Install smartgwt from file base on SMARTGWT environment variable
author Andre Heinecke <andre.heinecke@intevation.de>
date Fri, 19 Jun 2015 17:41:35 +0200
parents 1816389d5f6c
children 574f8b80799f
files contrib/make_flys_release/make_release.sh
diffstat 1 files changed, 17 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/contrib/make_flys_release/make_release.sh	Fri Jun 19 17:23:35 2015 +0200
+++ b/contrib/make_flys_release/make_release.sh	Fri Jun 19 17:41:35 2015 +0200
@@ -98,7 +98,18 @@
 
 mkdir -p $WORK_DIR
 
-if [ ! -d $FLYS_SOURCE_DIR ]; then
+if [ -z "$SMARTGWT" ]; then
+    echo "ERROR: Variable SMARTGWT not set."
+    echo "Please set this variable to point to the smartgwt .jar archive to be used."
+    exit 1
+fi
+
+if [ ! -f "$SMARTGWT" ]; then
+    echo "ERROR: Failed to find smartgwt archive at: '$SMARTGWT'"
+    exit 1
+fi
+
+if [ ! -d "$FLYS_SOURCE_DIR" ]; then
     mkdir -p $FLYS_SOURCE_DIR
     echo "Cloning sources"
     cd $FLYS_SOURCE_DIR
@@ -164,9 +175,11 @@
     $FLYS_SOURCE_DIR/river/gwt-client/src/main/webapp/
 
 
-echo "INFO: Downloading smartGWT"
-mvn com.isomorphic:isc-maven-plugin:install -Dproduct=SMARTGWT -Dlicense=LGPL \
-    -DbuildNumber=4.1p -DbuildDate=2015-04-25 -Dworkdir=$WORK_DIR
+echo "INFO: Installing smartGWT"
+
+mvn install:install-file -Dfile="$SMARTGWT" -Dversion=4.1-p20141119 \
+    -DartifactId=smartgwt-lgpl -DgroupId=com.isomorphic.smartgwt.lgpl \
+    -Dpackaging=jar
 
 echo "INFO: compile sources"
 mvn -f $FLYS_SOURCE_DIR/framework/pom.xml clean compile install

http://dive4elements.wald.intevation.org